From f5371e6d593014146ef05b483c0c48a98397c178 Mon Sep 17 00:00:00 2001
From: Gergely Imreh <imrehg@gmail.com>
Date: Mon, 9 Mar 2009 18:46:25 +0800
Subject: [PATCH] Fix: b_pre_scenecut parameter removed from x264 build 67

Commit 3e4946f305317856ed79e0898f25f10859df22ed of x264 removed
the b_pre_scenecut parameter from x264.h, thus vlc build failed
on modules/codec/x264.c. Added another check to file that this
parameter is not assigned above x264 build 66.
---
 modules/codec/x264.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

diff --git a/modules/codec/x264.c b/modules/codec/x264.c
index b2ddf23..12590a3 100644
--- a/modules/codec/x264.c
+++ b/modules/codec/x264.c
@@ -971,8 +971,10 @@ static int  Open ( vlc_object_t *p_this )
 #endif
 
 #if X264_BUILD >= 55 /* r607 */
+#if X264_BUILD <= 66
     var_Get( p_enc, SOUT_CFG_PREFIX "pre-scenecut", &val );
     p_sys->param.b_pre_scenecut = val.b_bool;
+#endif
     var_Get( p_enc, SOUT_CFG_PREFIX "non-deterministic", &val );
     p_sys->param.b_deterministic = val.b_bool;
 #endif
-- 
1.6.2

